#
# spec file for package monitor
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           monitor
Version:        0.3.5
Release:        lp150.1.7
Summary:        Simple Task Manager
License:        GPL-3.0
Group:          System/GUI/Other
URL:            https://github.com/stsdc/monitor
Source:         https://github.com/stsdc/monitor/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  elementary-cmake-modules
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libbamf3)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(libwnck-3.0)
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
Manage processes and monitor system resources for elementary OS.

%lang_package

%prep
%setup -q

sed -i 's/\bmetainfo\b/appdata/' $(grep -rwl 'metainfo')

%build
%meson
%meson_build

%install
%meson_install
%suse_update_desktop_file -r com.github.stsdc.monitor GTK System Monitor
%find_lang com.github.stsdc.monitor %{name}.lang
%fdupes %{buildroot}/%{_datadir}

# dirlist HiDPI icons (see: hicolor/index.theme)
_dirlist=$PWD/dir.lst
pushd %{buildroot}
find ./ | while read _list; do
    echo $_list | grep '[0-9]\@[0-9]' || continue
    _path=$(echo $_list | sed 's/[^/]//')
    if ! ls ${_path%/*}; then
        grep -xqs "\%dir\ ${_path%/*}" $_dirlist || echo "%dir ${_path%/*}" >> $_dirlist
    fi
done
popd

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files -f dir.lst
%doc AUTHORS LICENSE README.md
%{_bindir}/com.github.stsdc.monitor
%{_datadir}/appdata/com.github.stsdc.monitor.appdata.xml
%{_datadir}/applications/com.github.stsdc.monitor.desktop
%{_datadir}/glib-2.0/schemas/com.github.stsdc.monitor.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.stsdc.monitor.??g

%files lang -f %{name}.lang

%changelog
* Tue Jan 30 2018 avvissu@yandex.by
- Update to 0.3.5:
  * Merge pull request #39 from lainsce/future-proof-headerbar
  * Merge branch 'master' into future-proof-headerbar
  * Merge pull request #34 from lainsce/master
  * Merge branch 'master' of https://github.com/stsdc/monitor
* Sat Jan 20 2018 avvissu@yandex.by
- Update to 0.3.3:
  * override model in OverallView
  * remove unused vars
  * update appdata
  * trying to be more precise when mesuring CPU usage
  * kill function moved to OveralView
  * moved things to Headearbar.vala
  * key handling moved totally to Shortcuts.vala
  * refactor shortcuts
  * fix regex glib error
  * fix #31, but causes few warnings
  * one line per row
  * rename ProcessView to OverallView
  * moar refactoring
  * inheritance instead of wrapping TreeSortModel
  * GenericModel works
  * started to write GenericModel;some refactoring
  * rm uncrustify
  * some refactoring
- Build with meson
- Add HiDPI icons
* Sat Dec  2 2017 avvissu@yandex.by
- Update to 0.3.2:
  * Merge branch 'unstable' of https://github.com/stsdc/monitor
  * Update README.md
* Wed Nov  8 2017 avvissu@yandex.by
- Initial package
